/*
 * @Author: wrh
 * @Date: 2024-03-07 17:33:37
 * @LastEditors: wrh
 * @LastEditTime: 2024-05-22 16:17:43
 */
import request from '@/utils/request'

// 查询岗位列表
export function listPost(query) {
  return request({
    url: '/system/post/list',
    method: 'get',
    params: query
  })
}

// 根据岗位查用户
export function getUserByPost(query) {
  return request({
    url: '/system/post/postName',
    method: 'get',
    params: query
  })
}

// 查询岗位详细
export function getPost(postId) {
  return request({
    url: '/system/post/' + postId,
    method: 'get'
  })
}

// 新增岗位
export function addPost(data) {
  return request({
    url: '/system/post',
    method: 'post',
    data: data
  })
}

// 修改岗位
export function updatePost(data) {
  return request({
    url: '/system/post',
    method: 'put',
    data: data
  })
}

// 删除岗位
export function delPost(postId) {
  return request({
    url: '/system/post/' + postId,
    method: 'delete'
  })
}

// 通过deptId获取是否部门负责人
export function getIsDeptLeader() {
  return request({
    url: '/system/post/isDeptLeader',
    method: 'get'
  })
}

// 查询当前用户的部门负责人
export function getUsersDeptLeader(query) {
  return request({
    url: '/system/post/deptLeader',
    method: 'get',
    params: query
  })
}

// 查询经营部门的部门负责人
export function getDeptLeaders(query) {
  return request({
    url: '/system/post/deptLeaders',
    method: 'get',
    params: query
  })
}

// 查询当前部门的部门负责人
export function getUsersDeptLeaderByDept(query) {
  return request({
    url: '/system/post/deptLeaderByDept',
    method: 'get',
    params: query
  })
}

// 查询经营部门的部门负责人
export function getDeptLeadersByDeptId(query) {
  return request({
    url: '/system/post/deptLeadersByDept',
    method: 'get',
    params: query
  })
}

// 查询当前用户的部门负责人
export function getUsersViceDeptLeader(query) {
  return request({
    url: '/system/post/deptViceLeader',
    method: 'get',
    params: query
  })
}

// 查询当前部门的部门负责人
export function getUsersViceDeptLeaderByDept(query) {
  return request({
    url: '/system/post/deptViceLeaderByDept',
    method: 'get',
    params: query
  })
}

// 查询当前用户的分管领导
export function getUsersManageLeader(query) {
  return request({
    url: '/system/post/manageLeader',
    method: 'get',
    params: query
  })
}

// 查询当前部门的分管领导
export function getUsersManageLeaderByDept(query) {
  return request({
    url: '/system/post/manageLeaderByDept',
    method: 'get',
    params: query
  })
}